package com.bernard.greposimu.model;

public class Unite {
	
	String nom;
	String pname;
	
	int population;
	int speed;
	
	int butin;
	OffDefStats stats;
	
	boolean terrestre,navale,mythique;
	
	Dieu dieu;

	public Unite(String nom, String pname, int population, int speed, int butin, OffDefStats stats, boolean terrestre, boolean navale,
			boolean mythique, Dieu dieu) {
		this.nom = nom;
		this.pname = pname;
		this.population = population;
		this.speed = speed;
		this.butin = butin;
		this.stats = stats;
		this.terrestre = terrestre;
		this.navale = navale;
		this.mythique = mythique;
		this.dieu = dieu;
	}

	public String getNom() {
		return nom;
	}
	
	public String getPname() {
		return pname;
	}

	public int getPopulation() {
		return population;
	}

	public int getSpeed() {
		return speed;
	}

	public int getButin() {
		return butin;
	}

	public OffDefStats getStats() {
		return stats;
	}

	public boolean isTerrestre() {
		return terrestre;
	}

	public boolean isNavale() {
		return navale;
	}

	public boolean isMythique() {
		return mythique;
	}

	public Dieu getDieu() {
		return dieu;
	}
	
	
	
}
